> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 레드패킷 - 목록

> 레드패킷 목록 조회



## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml GET /v2/redpacket
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/redpacket:
    get:
      tags:
        - RedPacket
      summary: 레드패킷 - 목록
      description: 레드패킷 목록 조회
      operationId: get.redpackets
      parameters:
        - name: cursor
          in: query
          description: 페이지네이션 커서
          required: false
          schema:
            type: string
          example: cursor_abc
        - name: limit
          in: query
          description: 페이지당 결과 수
          required: false
          schema:
            type: integer
            format: int64
          example: 20
        - name: direction
          in: query
          description: 페이지네이션 방향
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PageDirection'
            default: next
          example: next
        - name: creator
          in: query
          description: 생성자 지갑 주소
          required: false
          schema:
            type: string
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        - name: chain
          in: query
          description: 레드패킷의 블록체인 네트워크
          required: false
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedPacketsPage'
components:
  schemas:
    PageDirection:
      type: string
      description: Pagination direction
      enum:
        - next
        - prev
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    RedPacketsPage:
      type: object
      description: Paginated red packets response
      required:
        - total
        - hasNextPage
        - records
      properties:
        endCursor:
          type:
            - string
            - 'null'
          description: 현재 페이지 종료 커서
        hasNextPage:
          type: boolean
          description: 다음 페이지 존재 여부
        records:
          type: array
          items:
            $ref: '#/components/schemas/RedPacket'
          description: 레드패킷 목록
        startCursor:
          type:
            - string
            - 'null'
          description: 현재 페이지 시작 커서
        total:
          type: integer
          format: int64
          description: 총 레드패킷 수
    RedPacket:
      type: object
      description: Red packet detail
      required:
        - id
        - creator
        - mint
        - totalAmount
        - maxClaims
      properties:
        chain:
          type:
            - string
            - 'null'
          description: 레드패킷의 블록체인 네트워크
          example: sol
        claimAuthority:
          type:
            - string
            - 'null'
          description: 수령 권한 주소
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        claimedAmount:
          type:
            - string
            - 'null'
          description: 레드패킷에서 수령된 금액
          example: '500000000'
        claimedCount:
          type:
            - integer
            - 'null'
          format: int32
          description: 수령 횟수
          example: 5
        createdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 레드패킷 생성 타임스탬프
          example: 1717334400000
        creator:
          type: string
          description: 생성자 지갑 주소
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        expiration:
          type:
            - integer
            - 'null'
          format: int64
          description: 만료 기간 (초)
          example: 24
        expired:
          type:
            - boolean
            - 'null'
          description: 레드패킷 인출 여부
        expiredAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 만료 타임스탬프
          example: 1717420800000
        id:
          type: string
          description: 레드패킷 식별자
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        maxClaims:
          type: integer
          format: int32
          description: 허용된 최대 수령 횟수
          example: 10
        memo:
          type:
            - string
            - 'null'
          description: 레드패킷 메모 메시지
          example: Happy Red Packet
        mint:
          type: string
          description: 토큰 Mint 주소
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        refundedAmount:
          type:
            - string
            - 'null'
          description: 환불 금액
          example: '0'
        shareId:
          type:
            - string
            - 'null'
          description: 공유 식별자
          example: abc123
        totalAmount:
          type: string
          description: 레드패킷 총 금액
          example: '1000000000'
        txHash:
          type:
            - string
            - 'null'
          description: 트랜잭션 해시
          example: 5UfDuX7hXbL3mFfPdq1pymNHM...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````